Package org.globus.ftp.dc

# Class EBlockAware

java.lang.Object
org.globus.ftp.dc.EBlockAware

Direct Known Subclasses:
  `EBlockImageDCReader`, `EBlockImageDCWriter`

public class EBlockAware extends Object
Represents a data channel reader or writer aware of being in one of a pool of asynchronous data channels

## Field Summary

Fields
Modifier and Type
Field
Description
`protected EBlockParallelTransferContext`
`context`
`static final int`
`EOD`
`static final int`
`EOF`
`static final int`
`WILL_CLOSE`

## Constructor Summary

Constructors
Constructor
Description
`EBlockAware()`

## Method Summary

Modifier and Type
Method
Description
`void`
`setTransferContext(EBlockParallelTransferContext context)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### EOF

public static final int EOF

See Also:
  - Constant Field Values

### EOD

public static final int EOD

See Also:
  - Constant Field Values

### WILL_CLOSE

public static final int WILL_CLOSE

See Also:
  - Constant Field Values

### context

protected EBlockParallelTransferContext context

## Constructor Details

### EBlockAware

public EBlockAware()

## Method Details

### setTransferContext

public void setTransferContext(EBlockParallelTransferContext context)